//MICRO
//Servo PWM Version 1  8 bit
//11.04.17 by F.König
//Fast PWM Mode
//focnx = fclk/(N*(1+TOP)) = 16000000/(1024*(1+255)) = 61,035Hz
//TOP 8 Bit = 255
//COM1A1=1  COM1A0=0
//Mode 5 WGM3:0=0101
//Prescaler 1024   CS2:0=101

//focnx= 61,035Hz  T = 0,01638s
//Schrittweite n =T/TOP = 0,01638s/255 = 0,000064s
//n1 = 0,001s/0,000064s = 15,625
//n2 = 0,002s/0,000064s = 31,25
//OCR1A = 16..31  ca.90 Grad
//lauffähig von 8..38  ca.180Grad
//Mittelstellung bei 23
//1 Schritt 6 Grad

int n1 = 16;
int n2 = 31;
int Pause = 100;

void setup() 
{
  //Ausgang Servo
  DDRB |= (1<<PB5);
  
  //Timer config
  TCCR1A = (1<<COM1A1)|(0<<COM1A0)|(0<<WGM11)|(1<<WGM10);
  TCCR1B = (0<<WGM13) |(1<<WGM12) |(1<<CS12) |(0<<CS11)|(1<<CS10);
  OCR1A = 23;
  delay(2000);
}

void loop() 
{
  
  for (int i = n1 ; i <= n2 ; i++)
    {
      OCR1A = i;
      delay(Pause);
    }
  for (int i = n2 ; i >= n1 ; i--)
    {
      OCR1A = i;
      delay(Pause);
    }
}
