//MICRO
//Servo PWM Version 2  9 bit
//12.04.17 by F.König
//Phase Correct PWM Mode
//focnx = fclk/(2*N*TOP) = 16000000/(2*256*511) = 61,15Hz
//TOP 9 Bit = 511
//COM1A1=1   COM1A0=0
//Mode 2 WGM3:0=0010 
//Prescaler 256  CS2:0=100

//focnx=61,15Hz  T=0,01635s
//Schrittweite n = T/TOP  = 0,01635s/511 = 0,000032s
//n1 = 0,001s/0,000032s = 31,25
//n2 = 0,002s/0,000032s = 62,5
//OCR1 = 32...62     ca. 90 Grad
//lauffähig von 18...80  ca. 180 Grad
//Mittelstellung bei 48
//1 Schritt = 3 Grad

int n1 = 32;
int n2 = 62;
int Pause = 100;

void setup() 
{
  //Ausgang Servo
  DDRB |= (1<<PB5);
  
  //Timer config
  TCCR1A = (1<<COM1A1)|(0<<COM1A0)|(1<<WGM11)|(0<<WGM10);
  TCCR1B = (0<<WGM13) |(0<<WGM12) |(1<<CS12) |(0<<CS11)|(0<<CS10);
  OCR1A = 47;
  delay(2000);
}

void loop()
{
    for ( int i = n1 ; i <= n2 ; i++)
    {
      OCR1A = i; 
      delay(Pause); 
    }
    for ( int i = n2 ; i >= n1 ; i--)
    {
      OCR1A = i;
      delay(Pause);
    }

}
