//MICRO
//Servo PWM Version 3  10 bit
//11.04.17 by F.König
//Fast PWM Mode
//focnx = fclk/(N*(1+TOP)) = 16000000/(256*(1+1023)) = 61,035Hz
//TOP 10 Bit = 1023
//COM1A1=1  COM1A0=0
//Mode 7 WGM3:0=0111 
//Prescaler 256  CS2:0=100

//focnx = 61,035Hz  T = 0,01638s
//Schrittweite n =T/TOP = 0,01638s/1023 = 0,000016s
//n1 = 0,001s/0,000016s = 62,5
//n2 = 0,002s/0,000016s = 125
//OCR1 = 63...125  ca.90 Grad
//lauffähig von 35...158  ca.180 Grad
//Mittelstellung bei 96
//1 Schritt 1,45 Grad

int n1 = 63;
int n2 = 125;
int Pause = 100;

void setup() 
{
  //Ausgang Servo
  DDRB |= (1<<PB5);
  
  //Timer config
  TCCR1A = (1<<COM1A1)|(0<<COM1A0)|(1<<WGM11)|(1<<WGM10);
  TCCR1B = (0<<WGM13) |(1<<WGM12) |(1<<CS12) |(0<<CS11)|(0<<CS10);
  OCR1A = 96;
  delay(2000);
}

void loop() 
{
  for(int i = n1 ; i <= n2 ; i++)
  {
    OCR1A = i;
    delay(Pause);
  }
  for(int i = n2 ; i >= n1 ; i--)
  {
    OCR1A = i;
    delay(Pause);
  }

}
